﻿@page "/country"

@using NextHotel.BlazorApp.Pages.Country 

<h3>Country List</h3>

<div class="row">
    <div class="col-12">
        <a href="country/create">
            Create <span class="oi oi-arrow-right" aria-hidden="true"></span>
        </a>
    </div>
</div>

<DataGrid Items="Countries" Context="country">
    <TableHeader>
        <tr>
            <th>
                ID
            </th>
            <th>
                Name
            </th>
            <th colspan="2">
                Action
            </th>
        </tr>
    </TableHeader>
    <RowTemplate>
        <tr>
            <td>@country.CountryId</td>
            <td>@country.Name</td>
            <td>
                <NHModalButton Title="Edit">
                    <ButtonComponent>
                        Edit
                    </ButtonComponent>
                    <ModalBody>
                        <Edit CountryId="@country.CountryId"
                              OnAfterSubmit="GetCountriesAsync">
                        </Edit>
                    </ModalBody>
                </NHModalButton>
            </td>
            <td>
                <NHModalButton Title="Delete" ButtonClasses="btn btn-danger">
                    <ButtonComponent>
                        Delete
                    </ButtonComponent>
                    <ModalBody>
                        <Delete CountryId="@country.CountryId"
                                AfterDelete="GetCountriesAsync">
                        </Delete>
                    </ModalBody>
                </NHModalButton>
            </td>
        </tr>
    </RowTemplate>
</DataGrid>